		device pentagon1024

main_pic_page	equ #10
all_pic_page	equ #20		
		org #8000
begin
		di
		ld sp,#7fff
		ld bc,PAGE3
		ld a,all_pic_page
		out (c),a
		ld hl,0
		ld (#c000),hl
		ld hl,clr_screen
		call set_ports
		ld a,main_pic_page
2		cp #15
		jr nz,1f

		ld hl,init_ts
		call set_ports
		di
		halt

1		push af
		ld (put_gfx_over_page+1),a
		ld hl,put_gfx_over
		call set_ports
		pop af
		inc a
		jr 2b

init_ts			db #00,VID_16C+VID_320X200	; set to 320x200 color graphics
			db #01,all_pic_page	;VPAGE
			db #ff

clr_screen		defb #1a,0	;
			defb #1b,0	;
			defb #1c,all_pic_page	;
			defb #1d,0	;
			defb #1e,0	;
			defb #1f,all_pic_page	;
			defb #28,#ff	;
			defb #26,#0f	;
			defb #27,%00000100
			db #ff

put_gfx_over		db #1a,0
			db #1b,0
put_gfx_over_page	db #1c,0
			db #1d,0
			db #1e,0
			db #1f,all_pic_page
			db high DMALEN,#7f
			db high DMANUM,32-1
			db high DMACTR,DMA_BLT+DMA_ASZ	;+DMA_DALGN+DMA_SALGN
			db #ff


		include "../includes.asm"
		include "../tsconfig.asm"
end
		savebin "loader.bin",begin,end-begin