typedef unsigned char u8;
typedef   signed char i8;
typedef unsigned  int u16;
typedef   signed  int i16;
typedef unsigned long u32;
typedef   signed long i32;

char	keychr, tick;
int	pdir, ldir, keydir, lkdir, fire, fires, sound, music;
int	defseg, joyx, joyy, butt1, butt2, sound2, sn2on, per2;

char text[30];	/* text string used for high score ext */
u8	endgame,player, num_players, new_round, new_player;
u8	plot_count;

u8 get_mat(u8 x,u8 y,u8 lev);
char conkey(char chr);

u8 get_button();
u8 get_lives(u8 num);
u8 check_turn();
u8 ppoint(int x,u8 y);
int draw_man(u8 dir,int x,u8 y,u8 cab);
u8 move_bag(u8 bag_num,u8 dir);
u8 get_man_block(int x,u8 y);
u8 get_player();
int get_background(u8 x,u8 y);
int draw_dead_bug(int bug_num,int bug_type,int bug_dir,int x,int y);
u8 get_d_bag(u8 bag_num);
u8 get_y_bag(u8 bag_num);
int money_check(int colision);
int move_all_bags(int dir,int colision);
int get_active_bags();
u8 get_dificulty();
u8 get_bonus();
u8 rnd (u8 range);
u8 get_m_status();
u8 bugs_count();
int abs(int);
int get_m_x();
u8 get_m_y();
u8 get_rev(u8 dir);

int coin_check(u8 x_pos,u8 y_pos,u8 x_rem,u8 y_rem,u8 dir);
int draw_bug(u8 bug_num,u8 bug_type,u8 bug_dir,int x,u8 y);

void init_res() __naked;
void print_lives();
void add_life(u8 num);
void println(long number,int x,u8 y,u8 length,u8 color);
void put_coin(int x,int y);
void rem_coin(int x,int y);
void add_score(int val);
void era_bonus();
void draw_bonus(int x,int y);
void make_dead(int status);
void rst_music();
void snd_dead();
void start_bonus();
void snd_coin();
void snd_2_coin(int new_flag);
void joystk();
void era_missile();
void snd_explode();
void chk_fire();
void rst_fire();
void end_bonus();
void view_sprites();
void init_music(u8 x);
void chk_chase();
void rst_chase();
void init_chase();
void palette(u8 x);
void dead_move();
void move_man();
void move_missile();
void explode_missile();
void rst_mwait();
void snd_money();
void score_extra();
void score_2_coin();
void score_coin();
void score_money();
void grab_money(u8 bag_num);
void dest_coin(u8 x_pos,u8 y_pos);
void init_loose();
void rst_loose();
void chk_fall();
void init_fall();
void rst_fall();
void snd_break();
void rst_fall();
void kill_bug(int bug_num,int d_type,int num);
void score_bug();
void kill_man(int d_type,int num);
void snd_sfx(u8 n);
void bonus_score();
void break_bags(int colision);
void dir_change(int bug_num,int colision);
void inc_extra(int colision);
void blank_top();
void done_check();
void restart_level();
void sp_erase(u8 n);
void begin_bonus();
void move_bug(u8);
void move_dead_bug(u8);
void sp_place(u8 n,int x,u8 y);
void start_bug();
void era_bug(u8 bug_num);
void stop_bag(u8 bag_num);
void check_bag(u8 bag_num);
void era_bag(u8 bag_num);
void era_background(int x,u8 y,u8 dir);
void era_right(int x,u8 y);
void era_left(int x,u8 y);
void era_up(int x,u8 y);
void era_down(int x,u8 y);
void era_b_down(int x,u8 y);
void era_b_first(int x,u8 y);
void era_path();
void draw_background(int lev);
void sn2_start();
void flash_palettes(u8 loop_max);
void printc(char chr,int x,int y,int color);
void sn2_stop();
void sn2_off();
void strscr(char out[],int amount,u8 blanks);
void put_man(u8 stat,int x,u8 y);
void save_scores();
void sort_scores();
void get_name();
void prints(char *string,int x,u8 y,u8 color);
void clear () __naked;
void print_present_score();
int getval(char chr);
int draw_missile(int x,u8 y,u8 mis_type);
u8 get_screen();
u8 getkey(int x,u8 y);
void set_tone(int freq);
u8 players();
int draw_bag(u8 bag_num,u8 bag_type,int x,u8 y);
u8 back_check(u8 dir,u8 x_pos,u8 y_pos);
void chk_end();
void chk_music();
void chk_2_coin();
void chk_loose();
void chk_dead();
void chk_break();
void chk_money();
void chk_coin();
void chk_explode();
void chk_bug();
void chk_life();
void sn2_on();
void sn2_off();	/* turn off second sound source */
void sn2_new();	/* set new frequency for boath tone generators */
void set_sound(int period);
void rst_explode();
void rst_break();
void rst_coin();
void rst_2_coin();
void rst_money();
void rst_bug();
void rst_dead();	/* sound for dead man */
void rst_life();	/* sound when new life is given */
void sleep(u8 t) __naked;
void sp_init (u8 n, u8 image, u8 x_width, u8 y_width, u8 x_trim, u8 y_trim);
void sp_chnge (u8 n, u8 image, u8 x_width, u8 y_width, u8 x_trim, u8 y_trim);
void put(int x, int y, char *image, int color);
int sp_move(u8 n, int x,u8 y);
void sp_put(int x,u8 y, u8 num);
// void sp_disp(void);
void sp_blank(int x, int y,int x_width, int y_width);
void backgrnd(int);
void init_b_images();
void rst_b_images();
void printd(u8 digit,int x,u8 y,u8 color);
void toggle_players();
void init_level();
void play_round();
void start_level();
u8 get_level();
int timer();
void exit_check(void);
void main_cycle(void);

/* all man related variables are re-initialized for eack round & screen */

int	man_x, man_y, m_x_pos, m_y_pos, m_x_rem, m_y_rem;
u8	m_dir, new_m_dir, m_last_dir, m_wait, m_alive, m_active;

int	mis_ready, mis_wait, mis_x, mis_y, mis_dir, mis_explode;

int	dead_type, dead_num, dead_body, dead_wait, fall_count;

int	bonus_flash, bonus_time, bonus_active, bonus_on, bonus_count;

int	coin_time;


int	back_0[H_MAX][W_MAX];
int	back_1[H_MAX][W_MAX];

int	background[H_MAX][W_MAX]; /* used to store info for present screen background 
				     the integer is split up to indicate the following:
				    	Bit number  Value   Meaning
				  		0     	0     	The first horizontal bite from the right has been removed
				  		1	0	The second     	"		"		"	
				  		2	0	The third	"		"		"	
                	                        3	0	The fourth	"		"		"
				  		4	0	The last	"		"		"

				  		6	0	The first vertical bite from the top has been removed
				  		7	0	The second	"		"		"
				  		8	0	The third	"		"		"
				  		9	0	The fourth	"		"		"
				  		10	0	The fifth	"		"		"
				  		11	0	The last	"		"		"

				  		13	0	The entire background square is removed
				  */		
/* ************************************************************************** */
/* Matrix definitions for all levels of play */
/* ************************************************************************** */

const char mat_1[H_MAX][W_MAX] = {
				{ 'S',' ',' ',' ','B',' ',' ',' ',' ',' ','H','H','H','H','S'},
				{ 'V',' ',' ','C','C',' ',' ','C',' ',' ','V',' ','B',' ',' '},
				{ 'V','B',' ','C','C',' ',' ','C',' ',' ','V',' ',' ',' ',' '},
				{ 'V',' ',' ','C','C','B',' ','C','B',' ','V',' ','C','C','C'},
				{ 'V',' ',' ','C','C',' ',' ','C',' ',' ','V',' ','C','C','C'},
				{ 'H','H',' ','C','C',' ',' ','C',' ',' ','V',' ','C','C','C'},
				{ ' ','V',' ',' ',' ',' ','B',' ','B',' ','V',' ',' ',' ',' '},
				{ ' ','H','H','H','H',' ',' ',' ',' ',' ','V',' ',' ',' ',' '},
				{ 'C',' ',' ',' ','V',' ',' ',' ',' ',' ','V',' ',' ',' ','C'},
				{ 'C','C',' ',' ','H','H','H','H','H','H','H',' ',' ','C','C'}
			};


const char mat_2[H_MAX][W_MAX] = {	{ 'S','H','H','H','H','H',' ',' ','B',' ','B',' ',' ','H','S'},
				{ ' ','C','C',' ',' ','V',' ',' ',' ',' ',' ',' ',' ','V',' '},
				{ ' ','C','C',' ',' ','V',' ','C','C','C','C','C',' ','V',' '},
				{ 'B','C','C','B',' ','V',' ','C','C','C','C','C',' ','V',' '},
				{ 'C','C','C','C',' ','V',' ',' ',' ',' ',' ',' ',' ','V',' '},
				{ 'C','C','C','C',' ','V',' ','B',' ',' ','H','H','H','H',' '},
				{ ' ','C','C',' ',' ','V',' ','C','C',' ','V',' ',' ',' ',' '},
				{ ' ','B','B',' ',' ','V','C','C','C','C','V',' ','C','C',' '},
				{ 'C',' ',' ',' ',' ','V',' ','C','C',' ','V',' ','C','C',' '},
				{ 'C','C',' ',' ',' ','H','H','H','H','H','H',' ',' ',' ',' '}
			};


const char	mat_3[H_MAX][W_MAX] = {	{ 'S','H','H','H','H','B',' ','B',' ','B','H','H','H','H','S'},
				{ 'C','C',' ',' ','V',' ','C',' ','C',' ','V',' ','B','B',' '},
				{ 'C',' ',' ',' ','V',' ','C',' ','C',' ','V',' ','C','C',' '},
				{ ' ','B','B',' ','V',' ','C',' ','C',' ','V','C','C','C','C'},
				{ 'C','C','C','C','V',' ','C',' ','C',' ','V','C','C','C','C'},
				{ 'C','C','C','C','H','H','H','H','H','H','H',' ','C','C',' '},
				{ ' ','C','C',' ',' ','C',' ','V',' ','C',' ',' ','C','C',' '},
				{ ' ','C','C',' ',' ','C',' ','V',' ','C',' ',' ',' ',' ',' '},
				{ 'C',' ',' ',' ',' ','C',' ','V',' ','C',' ',' ',' ',' ','C'},
				{ 'C','C',' ',' ',' ','C',' ','H',' ','C',' ',' ',' ','C','C'}
			};


const char	mat_4[H_MAX][W_MAX] = {	{ 'S','H','B','C','C','C','C','B','C','C','C','C','B','H','S'},
				{ 'C','V',' ',' ','C','C','C','C','C','C','C',' ',' ','V','C'},
				{ 'C','H','H','H',' ','C','C','C','C','C',' ','H','H','H','C'},
				{ 'C',' ',' ','V',' ',' ','C','C','C',' ',' ','V',' ',' ','C'},
				{ ' ',' ',' ','H','H','H',' ','C',' ','H','H','H',' ',' ',' '},
				{ ' ',' ','B',' ',' ','V',' ','B',' ','V',' ',' ','B',' ',' '},
				{ ' ',' ','C',' ',' ','V','C','C','C','V',' ',' ','C',' ',' '},
				{ ' ','C','C','C',' ','H','H','H','H','H',' ','C','C','C',' '},
				{ 'C','C','C','C','C',' ','C','V','C',' ','C','C','C','C','C'},
				{ 'C','C','C','C','C',' ','C','H','C',' ','C','C','C','C','C'}
			};


const char	mat_5[H_MAX][W_MAX] = {	{ 'S','H','H','H','H','H','H','H','H','H','H','H','H','H','S'},
				{ 'V','B','C','C','C','C','B','V','C','C','C','C','C','C','V'},
				{ 'V','C','C','C','C','C','C','V',' ','C','C','B','C',' ','V'},
				{ 'V',' ','C','C','C','C',' ','V','C','C','B','C','C','C','V'},
				{ 'V','C','C','C','C','C','C','V',' ','C','C','C','C',' ','V'},
				{ 'V',' ','C','C','C','C',' ','V','B','C','C','C','C','C','V'},
				{ 'V','C','C','B','C','C','C','V',' ','C','C','C','C',' ','V'},
				{ 'V',' ','C','C','B','C',' ','V','C','C','C','C','C','C','V'},
				{ 'V','C','C','C','C','C','C','V','C','C','C','C','C','C','V'},
				{ 'H','H','H','H','H','H','H','H','H','H','H','H','H','H','H'}
			};


const char	mat_6[H_MAX][W_MAX] = {	{ 'S','H','H','H','H','H','H','H','H','H','H','H','H','H','S'},
				{ 'V','C','B','C','C','V',' ','V',' ','V','C','C','B','C','V'},
				{ 'V','C','C','C',' ','V','B','V','B','V',' ','C','C','C','V'},
				{ 'V','C','C','C','H','H',' ','V',' ','H','H','C','C','C','V'},
				{ 'V','C','C',' ','V',' ','C','V','C',' ','V',' ','C','C','V'},
				{ 'V','C','C','H','H',' ','C','V','C',' ','H','H','C','C','V'},
				{ 'V','C',' ','V',' ','C','C','V','C','C',' ','V',' ','C','V'},
				{ 'V','C','H','H','B','C','C','V','C','C','B','H','H','C','V'},
				{ 'V','C','V','C','C','C','C','V','C','C','C','C','V','C','V'},
				{ 'H','H','H','H','H','H','H','H','H','H','H','H','H','H','H'}
			};


const char	mat_7[H_MAX][W_MAX] = {	{ 'S','H','C','C','C','C','C','V','C','C','C','C','C','H','S'},
				{ ' ','V','C','B','C','B','C','V','C','B','C','B','C','V',' '},
				{ 'B','V','C','C','C','C','C','V','C','C','C','C','C','V','B'},
				{ 'C','H','H','C','C','C','C','V','C','C','C','C','H','H','C'},
				{ 'C','C','V',' ','C','C','C','V','C','C','C',' ','V','C','C'},
				{ 'C','C','H','H','H','C','C','V','C','C','H','H','H','C','C'},
				{ 'C','C','C','C','V',' ','C','V','C',' ','V','C','C','C','C'},
				{ 'C','C','C','C','H','H',' ','V',' ','H','H','C','C','C','C'},
				{ 'C','C','C','C','C','V',' ','V',' ','V','C','C','C','C','C'},
				{ 'C','C','C','C','C','H','H','H','H','H','C','C','C','C','C'}
			};


const char	mat_8[H_MAX][W_MAX] = {	{ 'H','H','H','H','H','H','H','H','H','H','H','H','H','H','S'},
				{ 'V',' ','C','C','B','C','C','C','C','C','B','C','C',' ','V'},
				{ 'H','H','H','C','C','C','C','B','C','C','C','C','H','H','H'},
				{ 'V','B','V',' ','C','C','C','C','C','C','C',' ','V','B','V'},
				{ 'V','C','H','H','H','C','C','C','C','C','H','H','H','C','V'},
				{ 'V','C','C','B','V',' ','C','C','C',' ','V','B','C','C','V'},
				{ 'V','C','C','C','H','H','H','C','H','H','H','C','C','C','V'},
				{ 'V','C','C','C','C',' ','V',' ','V',' ','C','C','C','C','V'},
				{ 'V','C','C','C','C','C','V',' ','V','C','C','C','C','C','V'},
				{ 'H','H','H','H','H','H','H','H','H','H','H','H','H','H','H'}
			};
